spe_context_event_priv Struct Reference

`#include <speevent.h>`

Collaboration diagram for spe_context_event_priv:

## Data Fields

pthread_mutex_t | lock
pthread_mutex_t | stop_event_read_lock
int | stop_event_pipe [2]
spe_event_unit_t | events [__NUM_SPE_EVENT_TYPES]

## Detailed Description

Definition at line 35 of file speevent.h.

## Field Documentation

spe_event_unit_t events[__NUM_SPE_EVENT_TYPES]

Definition at line 40 of file speevent.h.

Referenced by _event_spe_context_initialize(), _event_spe_event_handler_deregister(), and _event_spe_event_handler_register().

pthread_mutex_t lock

Definition at line 37 of file speevent.h.

Referenced by _event_spe_context_finalize(), and _event_spe_context_initialize().

int stop_event_pipe[2]

Definition at line 39 of file speevent.h.

Referenced by _event_spe_context_finalize(), _event_spe_context_initialize(), _event_spe_context_run(), _event_spe_event_handler_deregister(), _event_spe_event_handler_register(), and _event_spe_stop_info_read().

pthread_mutex_t stop_event_read_lock

Definition at line 38 of file speevent.h.

Referenced by _event_spe_context_finalize(), _event_spe_context_initialize(), and _event_spe_stop_info_read().

The documentation for this struct was generated from the following file:

- speevent.h